# PhasicFlow: src/phasicFlow/containers/Map/MapPtr/MapPtr.hpp File Reference

MapPtr.hpp File Reference
Include dependency graph for MapPtr.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | MapPtr< Container, Key, T >

## Namespaces

| pFlow

## Typedefs

template<typename key , typename T >
using | orderedMapPtr = MapPtr< std::map, key, T >
template<typename key , typename T >
using | hashMapPtr = MapPtr< std::unordered_map, key, T >
template<typename T >
using | wordOrderedMapPtr = orderedMapPtr< word, T >
template<typename T >
using | wordHashMapPtr = hashMapPtr< word, T >

## Functions

template<typename T >
iOstream & | printKeys (iOstream &os, const wordHashMapPtr< T > &m)